$STORAGE:2

C  DATTIM.FOR program - To access the date and time:

	INTERFACE TO SUBROUTINE TIME (N,STR)
	CHARACTER*10 STR [NEAR,REFERENCE]
	INTEGER*2 N [VALUE]
	END
      program bench
      double precision a(300),b(300)
      character*10 tstr
      data a,b/600*0.0/

      call time(10,tstr)
      write(*,*)'first call to time',tstr
      call time(10,tstr)
      write(*,1)tstr
    1 format('  start'//'  sine loop',a10/)
      drad=0.1745329
      do 10 j=1,100
        do 10 i=1,300
          a(i)=sin(i*drad/100.0)
   10 continue

      call time(10,tstr)
      write(*,2)tstr
    2 format(/'  power loop',a10/)
      do 20 j=1,200
        do 20 i=1,300
          b(i)=(10.*a(i))**(i-5)
   20 continue

      call time(10,tstr)
      write(*,4)tstr
    4 format(/'  division loop',a10/)
      do 50 j=1,200
        do 50 i=1,300
          a(i)=b(i)/a(i)
   50 continue
                    
      call time(10,tstr)
      write(*,5)tstr
    5 format(/'  call TEST ',a10/)
      n=300
      call test(n,a,b)
      call time(10,tstr)
      write(*,6)tstr
    6 format(/'  END OF PROGRAM',a10/)
      end

      subroutine test(n,a,b)
      double precision a(300),b(300)
      character*10 tstr
      do 63 k=1,3
        do 61 j=1,300
          do 60 i=1,n
            a(i)=a(i)+b(i)
   60     continue
   61   continue
   63 continue
      call time(10,tstr)
      write(*,7)tstr
    7 format(/'  return from subroutine TEST',a10 /)
      return
      end
