      program compres2
*This is a data compression program - P Banks 16/5/89
*Multiple copies of any character are encoded as follows:-
*strings of 5 or more characters the same are represented by
*ASCII 208, 1 byte giving number of occurrences, 1 byte giving ASCII
*  code, and ASCII 208. 208 is chosen because it is rare anyway.
      common freq,fname,instring,stat,icnt,itot
      real freq(256),stat(9)
      character*12 fname
      character*1024 instring
      do 10 i=1,256
   10 freq(i)=0
      call first
   79 continue
      stop
      end
************************************************************************
      subroutine first
      common freq,fname,instring,stat,icnt,itot
      real freq(256),stat(9)
      character*12 fname,bin*7,form*7
      character*1024 instring
      write(*,*)' Input filename'
      read(*,90)fname
      write(*,*)fname
      inquire(file=fname,binary=bin,formatted=form)
      if(bin.eq.'YES')goto 10
      if(form.eq.'YES')goto 15
   10 open (1,BLOCKSIZE=1024,err=80,file=fname,form='BINARY',iostat=ioc
     1heck,mode='READ',recl=1024,share='DENYRD',status='OLD')
      goto 20
   15 open (1,BLOCKSIZE=1024,err=80,file=fname,form='FORMATTED',
     1iostat=iocheck,mode='READ',recl=1024,share='DENYRD',status='OLD')
   20 read(1,end=81,err=82,iostat=iocheck)instring
      call out
      pause
      goto 20
*error routine
   80 write(*,*)' ERROR !! opening file - error code ',iocheck
      stop
   81 write(*,*)' End of file on read'
      call out
      pause
*temporary lines
      do 815 i=1,256
      write(*,91)freq(i)
  815 continue
      return
   82 write(*,*)' ERROR !! reading file - error code ',iocheck
      stop  
   90 format(a)
   91 format(1x,f6.0\)
      end
************************************************************
      subroutine out
      common freq,fname,instring,stat,icnt,itot
      real freq(256),stat(9)
      character*12 fname,test*1
      character*1024 instring
      integer*2 i
      i3=len(instring)
      write(*,*)' Len instring=',i3
      itot=itot+i3

        i1=1
   16   if (i1.gt.i3)goto 21
        test=instring(i1:i1)
        k=i1
*see if there is a string of 5 or more
        do 18 j=i1+1,i1+4
           if(instring(j:j).ne.test)goto 195
   18   continue			     

        do 19 j=i1+5,len(instring)
           i1=j
           if(instring(j:j).eq.test)goto 19
           i1=j
           goto 192
   19   continue      
  192   icnt=icnt+1
        freq(icnt)=i1-k-4
  195   i1=i1+1
        goto 16

   21 call stats

      return
   90 format(1x,i3\)
      end
**************************************************************    
      subroutine stats
      common freq,fname,instring,stat,icnt,itot
      real freq(256),stat(9),saving(9)
      character*12 fname
      character*1024 instring
      stat(1)=0
      do 10 i=1,256
   10 stat(1)=stat(1)+freq(i)
      write(*,*)' total = ',itot,' - saving=',stat(1),' bytes'
      write(*,*)'percentage saving=',(stat(1)*100)/itot
   90 format(1x,a,f30.0,a,f30.0)
      return
      end
************************************************
      
      